org.labkey.remoteapi.assay.nab.model

## Class NAbSample

- java.lang.Object
- - org.labkey.remoteapi.assay.nab.model.NAbSample

-     public class NAbSample
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NAbSample(java.util.Map<java.lang.String,java.lang.Object> properties, long[] cutoffs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Double` | `getFitError()`
    `NAbCurveParameters` | `getFitParameters()`
    `java.lang.Long` | `getMaxDilution()`
    `java.lang.Long` | `getMinDilution()`
    `NAbNeutralizationResult[]` | `getNeutralizationResults()`
    `long` | `getObjectId()`
    `java.util.Map<java.lang.String,java.lang.Object>` | `getProperties()`
    `NAbReplicate[]` | `getReplicates()`
    `java.lang.String` | `getWellgroupName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NAbSample

          public NAbSample(java.util.Map<java.lang.String,java.lang.Object> properties,
                           long[] cutoffs)

  - ### Method Detail

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.Object> getProperties()

    - #### getWellgroupName

          public java.lang.String getWellgroupName()

    - #### getMinDilution

          public java.lang.Long getMinDilution()

    - #### getMaxDilution

          public java.lang.Long getMaxDilution()

    - #### getFitError

          public java.lang.Double getFitError()

    - #### getFitParameters

          public NAbCurveParameters getFitParameters()

    - #### getReplicates

          public NAbReplicate[] getReplicates()

    - #### getNeutralizationResults

          public NAbNeutralizationResult[] getNeutralizationResults()

    - #### getObjectId

          public long getObjectId()